org.apache.lucene.benchmark.byTask.feeds

## Class FileBasedQueryMaker

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker
  - - org.apache.lucene.benchmark.byTask.feeds.FileBasedQueryMaker

- All Implemented Interfaces:
    QueryMaker

      public class FileBasedQueryMaker
      extends AbstractQueryMaker
      implements QueryMaker

  Create queries from a FileReader. One per line, pass them through the QueryParser. Lines beginning with # are treated as comments File can be specified as a absolute, relative or resource. Two properties can be set: file.query.maker.file=<Full path to file containing queries>
  file.query.maker.default.field=<Name of default field - Default value is "body"> Example: file.query.maker.file=c:/myqueries.txt file.query.maker.default.field=body

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker

      `config, qnum, queries`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileBasedQueryMaker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Query[]` | `prepareQueries()`

    - ### Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker

      `makeQuery, makeQuery, nextQnum, printQueries, resetInputs, setConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.benchmark.byTask.feeds.QueryMaker

      `makeQuery, makeQuery, printQueries, resetInputs, setConfig`

- - ### Constructor Detail

    - #### FileBasedQueryMaker

          public FileBasedQueryMaker()

  - ### Method Detail

    - #### prepareQueries

          protected Query[] prepareQueries()
                                    throws Exception

      Specified by:
        `prepareQueries` in class `AbstractQueryMaker`
      Throws:
        `Exception`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.